Skip to main content

Get Player Uuid Key Claim Self

GET 

/inventory/v2/player/me/keyClaim/:key_claim_uuid

Get Key Claim by uuid for the current player.

Request

Path Parameters

    key_claim_uuid uuidrequired

Responses

Successful Response

Schema

    portal_id

    object

    Platform the player is on

    anyOf

    integer

    Possible values: [-2, -1, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33]

    portal_user_id

    object

    The Platform's unique identifier for the player

    anyOf

    string

    key_claim_uuid uuidrequired

    The unique identifier for the KeyClaim

    claimed

    object

    Whether the KeyClaim has been claimed

    anyOf

    boolean

    external_key

    object

    The external key that was been claimed by the player. This is only filled out once the KeyClaim has been claimed

    anyOf

    string

    external_key_campaign_uuid

    object

    The unique identifier for the MarketingCampaign that the external key was claimed from

    anyOf

    string

    external_key_type

    object

    This can be used to allow the player to claim different types based on their preferrence. While we don't have requirement for what should contain, it must match a key type assigned to the external campaign.

    anyOf

    string

    created_on

    object

    The time the KeyClaim was created

    anyOf

    string

    last_modified_on

    object

    The time the KeyClaim was last modified

    anyOf

    string

Loading...